TagLib::Ogg::Opus::File Class Reference

An implementation of Ogg::File with Opus specific methods. More...

`#include <opusfile.h>`

Inheritance diagram for TagLib::Ogg::Opus::File:
[legend]
Collaboration diagram for TagLib::Ogg::Opus::File:
[legend]

## Public Member Functions

| File (FileName file, bool readProperties=true, Properties::ReadStyle propertiesStyle=Properties::Average)
| File (IOStream *stream, bool readProperties=true, Properties::ReadStyle propertiesStyle=Properties::Average)
| ~File () override
| File (const File &)=delete
File & | operator= (const File &)=delete
Ogg::XiphComment * | tag () const override
PropertyMap | properties () const override
PropertyMap | setProperties (const PropertyMap &) override
Properties * | audioProperties () const override
bool | save () override
Public Member Functions inherited from TagLib::Ogg::File
| File (const File &)=delete
File & | operator= (const File &)=delete
ByteVector | packet (unsigned int i)
void | setPacket (unsigned int i, const ByteVector &p)
const PageHeader * | firstPageHeader ()
const PageHeader * | lastPageHeader ()
Public Member Functions inherited from TagLib::File
| File (const File &)=delete
File & | operator= (const File &)=delete
FileName | name () const
virtual void | removeUnsupportedProperties (const StringList &properties)
virtual StringList | complexPropertyKeys () const
virtual List< VariantMap > | complexProperties (const String &key) const
virtual bool | setComplexProperties (const String &key, const List< VariantMap > &value)
ByteVector | readBlock (size_t length)
void | writeBlock (const ByteVector &data)
offset_t | find (const ByteVector &pattern, offset_t fromOffset=0, const ByteVector &before=ByteVector())
offset_t | rfind (const ByteVector &pattern, offset_t fromOffset=0, const ByteVector &before=ByteVector())
void | insert (const ByteVector &data, offset_t start=0, size_t replace=0)
void | removeBlock (offset_t start=0, size_t length=0)
bool | readOnly () const
bool | isOpen () const
bool | isValid () const
void | seek (offset_t offset, Position p=Beginning)
void | clear ()
offset_t | tell () const
offset_t | length ()

## Static Public Member Functions

static bool | isSupported (IOStream *stream)

## Additional Inherited Members

Public Types inherited from TagLib::File
enum | Position { Beginning , Current , End }
enum | StripTags { StripNone , StripOthers }
enum | DuplicateTags { Duplicate , DoNotDuplicate }
Protected Member Functions inherited from TagLib::Ogg::File
| File (FileName file)
| File (IOStream *stream)
Protected Member Functions inherited from TagLib::File
| File (FileName fileName)
| File (IOStream *stream)
void | setValid (bool valid)
void | truncate (offset_t length)
Static Protected Member Functions inherited from TagLib::File
static unsigned int | bufferSize ()

## Detailed Description

An implementation of Ogg::File with Opus specific methods.

This is the central class in the Ogg Opus metadata processing collection of classes. It's built upon Ogg::File which handles processing of the Ogg logical bitstream and breaking it down into pages which are handled by the codec implementations, in this case Opus specifically.

## Constructor & Destructor Documentation

## File() [1/3]

TagLib::Ogg::Opus::File::File | ( | FileName | file,
|  | bool | readProperties = true,
|  | Properties::ReadStyle | propertiesStyle = Properties::Average )

Constructs an Opus file from file. If readProperties is `true` the file's audio properties will also be read.

Note
  In the current implementation, propertiesStyle is ignored.

References TagLib::AudioProperties::Average.

Referenced by File(), and operator=().

## File() [2/3]

TagLib::Ogg::Opus::File::File | ( | IOStream * | stream,
|  | bool | readProperties = true,
|  | Properties::ReadStyle | propertiesStyle = Properties::Average )

Constructs an Opus file from stream. If readProperties is `true` the file's audio properties will also be read.

Note
  TagLib will not take ownership of the stream, the caller is responsible for deleting it after the File object.
  In the current implementation, propertiesStyle is ignored.

References TagLib::AudioProperties::Average.

## ~File()

TagLib::Ogg::Opus::File::~File | ( |  | ) |

override virtual

Destroys this instance of the File.

Reimplemented from TagLib::Ogg::File.

## File() [3/3]

TagLib::Ogg::Opus::File::File | ( | const File & |  | ) |

delete

References File().

## Member Function Documentation

## audioProperties()

Properties * TagLib::Ogg::Opus::File::audioProperties | ( |  | ) | const

override virtual

Returns the Opus::Properties for this file. If no audio properties were read then this will return a null pointer.

Implements TagLib::File.

## isSupported()

bool TagLib::Ogg::Opus::File::isSupported | ( | IOStream * | stream | ) |

static

Returns whether or not the given stream can be opened as an Opus file.

Note
  This method is designed to do a quick check. The result may not necessarily be correct.

References TAGLIB_MSVC_SUPPRESS_WARNING_NEEDS_TO_HAVE_DLL_INTERFACE.

## operator=()

File & TagLib::Ogg::Opus::File::operator= | ( | const File & |  | ) |

delete

References File().

## properties()

PropertyMap TagLib::Ogg::Opus::File::properties | ( |  | ) | const

override virtual

Implements the unified property interface – export function. This forwards directly to XiphComment::properties().

Reimplemented from TagLib::File.

## save()

bool TagLib::Ogg::Opus::File::save | ( |  | ) |

override virtual

Save the file.

This returns `true` if the save was successful.

Reimplemented from TagLib::Ogg::File.

## setProperties()

PropertyMap TagLib::Ogg::Opus::File::setProperties | ( | const PropertyMap & |  | ) |

override virtual

Implements the unified tag dictionary interface – import function. Like properties(), this is a forwarder to the file's XiphComment.

Reimplemented from TagLib::File.

## tag()

Ogg::XiphComment * TagLib::Ogg::Opus::File::tag | ( |  | ) | const

override virtual

Returns the XiphComment for this file. XiphComment implements the tag interface, so this serves as the reimplementation of TagLib::File::tag().

Implements TagLib::File.

The documentation for this class was generated from the following file:

- opusfile.h